platform.dist() is not returning correct Ubuntu release info

Bug #1220508 reported by Jason Gerard DeRose
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
System76 Driver
Fix Released
Critical
Unassigned
python3.3 (Ubuntu)
Fix Released
Undecided
Dmitry Shachnev

Bug Description

platform.dist() is currently returning ('debian', 'wheezy/sid', '')

It should return ('Ubuntu', '13.10', 'saucy')

Saucy:

jderose@jgd-gazp7:~$ python3.3
Python 3.3.2+ (default, Jun 5 2013, 10:51:51)
[GCC 4.8.1] on linux
Type "help", "copyright", "credits" or "license" for more information.
>>> import platform
>>> platform.dist()
('debian', 'wheezy/sid', '')

Raring:

jderose@jgd-ws:~$ python3.3
Python 3.3.1 (default, Jul 5 2013, 09:19:20)
[GCC 4.7.3] on linux
Type "help", "copyright", "credits" or "license" for more information.
>>> import platform
>>> platform.dist()
('Ubuntu', '13.04', 'raring')
>>>

ProblemType: Bug
DistroRelease: Ubuntu 13.10
Package: python3.3 3.3.2-3ubuntu1
ProcVersionSignature: Ubuntu 3.11.0-4.9-generic 3.11.0-rc7
Uname: Linux 3.11.0-4-generic x86_64
ApportVersion: 2.12.1-0ubuntu3
Architecture: amd64
Date: Tue Sep 3 21:15:33 2013
MarkForUpload: True
SourcePackage: python3.3
UpgradeStatus: Upgraded to saucy on 2013-08-30 (4 days ago)

Related branches

Revision history for this message
Jason Gerard DeRose (jderose) wrote :
Revision history for this message
Jason Gerard DeRose (jderose) wrote :

Marking this as effecting system76-driver also, as we use platform.dist() to determine the Ubuntu version.

Changed in system76-driver:
status: New → Triaged
importance: Undecided → Critical
Changed in python3.3 (Ubuntu):
status: New → In Progress
assignee: nobody → Dmitry Shachnev (mitya57)
Revision history for this message
Matthias Klose (doko) wrote :

having this as an Ubuntu specific patch is not the right solution

Revision history for this message
Dmitry Shachnev (mitya57) wrote :

Matthias, I was going to forward it to BTS. Should I do that or will you include it in the next Debian upload?

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python3.3 - 3.3.2-7ubuntu1

---------------
python3.3 (3.3.2-7ubuntu1) saucy; urgency=low

  * Merge with Debian; remaining changes:
    - Re-generate the control file.

python3.3 (3.3.2-7) unstable; urgency=low

  * Update to 20130918 from the 3.3 branch.
  * Update symbols file.
  * Fail the build if extensions for the minimal package are not in
    the libpython-minimal package. Closes: #723624.
  * Fix indentation in regenerated platform-lsbrelease.diff (Dmitry Shachnev).
    LP: #1220508.
  * Point to the python3-tk (instead of the python-tk) package when missing.
    LP: #1184082.

python3.3 (3.3.2-6) unstable; urgency=medium

  * Update to 20130917 from the 3.3 branch.
    - Fix SSL module to handle NULL bytes inside subjectAltNames general
      names (CVE-2013-4238). Closes: #719567.
  * Don't run the curses autopkg test.
  * Set Multi-Arch attributes for binary packages.
  * Fix multiarch include header for sparc64. Closes: #714802.

python3.3 (3.3.2-5) unstable; urgency=low

  * Update to 20130803 from the 3.3 branch.
    - Fix fcntl test case on KFreeBSD (Petr Salinger).
  * Disable some socket tests on KFreeBSD (Petr Salinger).
  * Fix multiarch include header for sparc64. Closes: #714802.
  * Update package descriptions (Filipus Klutiero). Closes: #715801.

python3.3 (3.3.2-4) unstable; urgency=low

  * Update to 20130612 from the 3.3 branch.
  * Refresh patches.
  * Don't run consistency check for cross builds.
  * Really skip byte compile of non-existing sitecustomize.py.
  * Fix the multiarch header file for mips64 (YunQiang Su). Closes: #710374.
 -- Matthias Klose <email address hidden> Wed, 18 Sep 2013 14:24:38 +0200

Changed in python3.3 (Ubuntu):
status: In Progress → Fix Released
Revision history for this message
Jason Gerard DeRose (jderose) wrote :

awesome, thanks for the quick fix!

Changed in system76-driver:
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers